
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用Shell自动化管理脚本清理Nginx的proxy_cache缓存 / iVAN</title>

    <meta name="description" content="使用Shell自动化管理脚本清理Nginx的proxy_cache缓存 Nginx的Web缓存服务主要由proxy_cache相关指令集和fastcgi_cache相关指令集构成,前者用于反向代理时,对后端内容源服务器进行缓存,后者主要用于对FastCGI的动态程序进行缓存.两者的功能基本上一样. 在功能上,Nginx已经具备Squid所拥有的Web缓存加速功能.清除指定URL缓存的功能.而在性能上,Nginx对多核CPU的利用,胜过Squid不少.另外,在反向代理.http://www.aliyun.com/zixun/aggregation/13996.html">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用Shell自动化管理脚本清理Nginx的proxy_cache缓存</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Nginx的Web缓存服务主要由proxy_cache相关指令集和fastcgi_cache相关指令集构成，前者用于反向代理时，对后端内容源服务器进行缓存，后者主要用于对FastCGI的动态程序进行缓存。两者的功能基本上一样。</p>
<p>在功能上，Nginx已经具备Squid所拥有的Web缓存加速功能、清除指定URL缓存的功能。而在性能上，Nginx对多核CPU的利用，胜过Squid不少。另外，在反向代理、&quot;&gt;负载均衡、健康检查、后端服务器故障转移、Rewrite重写、易用性上，Nginx也比Squid强大得多。这使得一台Nginx可以同时作为“负载均衡服务器”与“Web缓存服务器”来使用。</p>
<p>以下是一段Shell自动化管理脚本，用于自动清理Nginx的proxy_cache缓存，Shell脚本的详细内容如下：</p>
<p>#! /bin/sh&nbsp;<br /> &nbsp;<br /> #Auto Clean Nginx Cache Shell Scripts&nbsp;<br /> &nbsp;<br /> #2013-06-12 wugk&nbsp;<br /> &nbsp;<br /> #Define Path&nbsp;<br /> &nbsp;<br /> CACHE_DIR=/data/www/proxy_cache_dir/&nbsp;<br /> #确定缓存所在的目录路径<br /> &nbsp;<br /> FILE=&quot;$*&quot;&nbsp;<br /> &nbsp;<br /> &nbsp;&nbsp;<br /> &nbsp;<br /> #To determine whether the input script，If not, then exit 判断脚本是否有输入，没有输入然后退出&nbsp;<br /> &nbsp;<br /> if&nbsp;<br /> &nbsp;<br /> [&nbsp; &quot;$#&quot; -eq &quot;0&quot; ];then&nbsp;<br /> &nbsp;<br /> echo &quot;Please Insertclean Nginx cache File, Example: $0 index.html index.js&quot;&nbsp;<br /> &nbsp;<br /> sleep 2 &amp;&amp; exit&nbsp;<br /> &nbsp;<br /> fi&nbsp;<br /> &nbsp;<br /> echo &quot;The file : $FILEto be clean nginx Cache ,please waiting .....&quot;&nbsp;<br /> &nbsp;<br /> &nbsp;&nbsp;<br /> &nbsp;<br /> #Wrap processing for the input file, for grep lookup，对输入的文件进行换行处理，利于grep查找匹配相关内容&nbsp;<br /> &nbsp;<br /> &nbsp;&nbsp;<br /> &nbsp;<br /> for i in `echo $FILE |sed 's//\n/g'`&nbsp;<br /> &nbsp;<br /> do&nbsp;<br /> &nbsp;<br /> grep -ra $i ${CACHE_DIR}| awk -F':' '{print $1}'&nbsp; &gt; /tmp/cache_list.txt&nbsp;<br /> &nbsp;<br /> for j in `cat/tmp/cache_list.txt`&nbsp;<br /> &nbsp;<br /> do&nbsp;<br /> &nbsp;<br /> rm&nbsp; -rf $j&nbsp;<br /> &nbsp;<br /> echo &quot;$i $j is DeletedSuccess !&quot;&nbsp;<br /> &nbsp;<br /> done&nbsp;<br /> &nbsp;<br /> done&nbsp;<br /> &nbsp;<br /> #The Scripts exec success and exit 0</p>
<p>以下为补充内容，如何在Nginx环境中配置与安装缓存服务器</p>
<p>Nginx 负载均衡与缓存服务器在 Linux 下的编译安装：</p>
<p>ulimit -SHn 65535<br /> wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.00.tar.gz<br /> tar zxvf pcre-8.00.tar.gz<br /> cd pcre-8.00/<br /> ./configure<br /> make &amp;&amp; make install<br /> cd ../</p>
<p>wget http://labs.frickle.com/files/ngx_cache_purge-1.0.tar.gz<br /> tar zxvf ngx_cache_purge-1.0.tar.gz</p>
<p>wget http://nginx.org/download/nginx-0.8.32.tar.gz<br /> tar zxvf nginx-0.8.32.tar.gz<br /> cd nginx-0.8.32/<br /> ./configure --user=www --group=www --add-module=../ngx_cache_purge-1.0 --prefix=/usr/local/webserver/nginx --with-http_stub_status_module --with-http_ssl_module<br /> make &amp;&amp; make install<br /> cd ../</p>
<p>/usr/local/webserver/nginx/conf/nginx.conf 配置文件内容如下：</p>
<p>user&nbsp; www www;</p>
<p>worker_processes 8;</p>
<p>error_log&nbsp; /usr/local/webserver/nginx/logs/nginx_error.log&nbsp; crit;</p>
<p>pid&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; /usr/local/webserver/nginx/nginx.pid;</p>
<p>#Specifies the value for maximum file descriptors that can be opened by this process.<br /> worker_rlimit_nofile 65535;</p>
<p>events<br /> {<br /> &nbsp; use epoll;<br /> &nbsp; worker_connections 65535;<br /> }</p>
<p>http<br /> {<br /> &nbsp; include&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; mime.types;<br /> &nbsp; default_type&nbsp; application/octet-stream;</p>
<p>charset&nbsp; utf-8;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br /> &nbsp; server_names_hash_bucket_size 128;<br /> &nbsp; client_header_buffer_size 32k;<br /> &nbsp; large_client_header_buffers 4 32k;<br /> &nbsp; client_max_body_size 300m;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br /> &nbsp; sendfile on;<br /> &nbsp; tcp_nopush&nbsp;&nbsp;&nbsp;&nbsp; on;</p>
<p>keepalive_timeout 60;</p>
<p>tcp_nodelay on;</p>
<p>client_body_buffer_size&nbsp; 512k;<br /> &nbsp; proxy_connect_timeout&nbsp;&nbsp;&nbsp; 5;<br /> &nbsp; proxy_read_timeout&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 60;<br /> &nbsp; proxy_send_timeout&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5;<br /> &nbsp; proxy_buffer_size&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 16k;<br /> &nbsp; proxy_buffers&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4 64k;<br /> &nbsp; proxy_busy_buffers_size 128k;<br /> &nbsp; proxy_temp_file_write_size 128k;</p>
<p>gzip on;<br /> &nbsp; gzip_min_length&nbsp; 1k;<br /> &nbsp; gzip_buffers&nbsp;&nbsp;&nbsp;&nbsp; 4 16k;<br /> &nbsp; gzip_http_version 1.1;<br /> &nbsp; gzip_comp_level 2;<br /> &nbsp; gzip_types&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; text/plain application/x-javascript text/css application/xml;<br /> &nbsp; gzip_vary on;</p>
<p>#注：proxy_temp_path和proxy_cache_path指定的路径必须在同一分区<br /> &nbsp; proxy_temp_path&nbsp;&nbsp; /data0/proxy_temp_dir;<br /> &nbsp; #设置Web缓存区名称为cache_one，内存缓存空间大小为200MB，1天没有被访问的内容自动清除，硬盘缓存空间大小为30GB。<br /> &nbsp; proxy_cache_path&nbsp; /data0/proxy_cache_dir&nbsp; levels=1:2&nbsp;&nbsp; keys_zone=cache_one:200m inactive=1d max_size=30g;<br /> &nbsp;<br /> &nbsp; upstream backend_server {<br /> &nbsp;&nbsp;&nbsp; server&nbsp;&nbsp; 192.168.8.43:80 weight=1 max_fails=2 fail_timeout=30s;<br /> &nbsp;&nbsp;&nbsp; server&nbsp;&nbsp; 192.168.8.44:80 weight=1 max_fails=2 fail_timeout=30s;<br /> &nbsp;&nbsp;&nbsp; server&nbsp;&nbsp; 192.168.8.45:80 weight=1 max_fails=2 fail_timeout=30s;<br /> &nbsp; }</p>
<p>server<br /> &nbsp; {<br /> &nbsp;&nbsp;&nbsp; listen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 80;<br /> &nbsp;&nbsp;&nbsp; server_name&nbsp; www.yourdomain.com 192.168.8.42;<br /> &nbsp;&nbsp;&nbsp; index index.html index.htm;<br /> &nbsp;&nbsp;&nbsp; root&nbsp; /data0/htdocs/www;</p>
<p>location /<br /> &nbsp;&nbsp;&nbsp; {<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #如果后端的服务器返回502、504、执行超时等错误，自动将请求转发到upstream负载均衡池中的另一台服务器，实现故障转移。<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_next_upstream http_502 http_504 error timeout invalid_header;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_cache cache_one;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #对不同的HTTP状态码设置不同的缓存时间<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_cache_valid&nbsp; 200 304 12h;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; #以域名、URI、参数组合成Web缓存的Key值，Nginx根据Key值哈希，存储缓存内容到二级缓存目录内<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_cache_key $host$uri$is_args$args;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_set_header Host&nbsp; $host;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_set_header X-Forwarded-For&nbsp; $remote_addr;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_pass http://backend_server;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; expires&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1d;<br /> &nbsp;&nbsp;&nbsp; }<br /> &nbsp;&nbsp;&nbsp;<br /> &nbsp;&nbsp;&nbsp; #用于清除缓存，假设一个URL为http://192.168.8.42/test.txt，通过访问http://192.168.8.42/purge/test.txt就可以清除该URL的缓存。<br /> &nbsp;&nbsp;&nbsp; location ~ /purge(/.*)<br /> &nbsp;&nbsp;&nbsp; {<br /> &nbsp;&nbsp;&nbsp;&nbsp; #设置只允许指定的IP或IP段才可以清除URL缓存。<br /> &nbsp;&nbsp;&nbsp;&nbsp; allow&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 127.0.0.1;<br /> &nbsp;&nbsp;&nbsp;&nbsp; allow&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 192.168.0.0/16;<br /> &nbsp;&nbsp;&nbsp;&nbsp; deny&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; all;<br /> &nbsp;&nbsp;&nbsp;&nbsp; proxy_cache_purge&nbsp;&nbsp;&nbsp; cache_one&nbsp;&nbsp; $host$1$is_args$args;<br /> &nbsp;&nbsp;&nbsp; }</p>
<p>#扩展名以.php、.jsp、.cgi结尾的动态应用程序不缓存。<br /> &nbsp;&nbsp;&nbsp; location ~ .*\.(php|jsp|cgi)?$<br /> &nbsp;&nbsp;&nbsp; {<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_set_header Host&nbsp; $host;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_set_header X-Forwarded-For&nbsp; $remote_addr;<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proxy_pass http://backend_server;<br /> &nbsp;&nbsp;&nbsp; }</p>
<p>access_log&nbsp; off;<br /> &nbsp; }<br /> }</p>
<p>启动 Nginx：</p>
<p>/usr/local/webserver/nginx/sbin/nginx</p>
<p>清除指定的URL缓存示例：</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 21:38:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/nginx/" title="nginx">nginx</a>, <a href="https://www.iamivan.net/tag/proxy_cache/" title="proxy&lowbar;cache">proxy&lowbar;cache</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e5%8c%96%e7%ae%a1%e7%90%86%e8%84%9a%e6%9c%ac/" title="自动化管理脚本">自动化管理脚本</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用Shell自动化管理脚本清理Nginx的proxy_cache缓存的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQ1Wob.html" rel="bookmark">Linux中Nginx设置proxy&lowbar;cache缓存与取消缓存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在配置文件的server{}内,添加这么一句即可:  代码如下 复制代码 location ~ .*/.(css|js)$ {     add_header Cache-Control 'no-store'; } 在nginx.conf里的http块加入以下代码 #proxy_temp_path和proxy_cache_path指定的路径必须在同一分区 proxy_temp_path   /tmp/proxy_temp_dir; #设置名称为nginx_cache,内存缓存空间大小为500MB,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWv86p.html" rel="bookmark">在Nginx中使用proxy&lowbar;cache缓存功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx从0.7.48版本开始,支持了类似Squid的缓存功能.这个缓存是把URL及相关组合当作Key,用md5编码哈希后保存在硬盘上,所以它可以支持任意URL链接,同时也支持404/301/302这样的非200状态码.虽然目前官方的Nginx Web缓存服务只能为指定URL或状态码设置过期时间,不支持类似Squid的PURGE指令,手动清除指定缓存页面,但是,通过一个第三方的Nginx模块,可以清除指定URL的缓存. Nginx的Web缓存服务主要由proxy_cache相关指令集和fast			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeR5Dwb.html" rel="bookmark">Linux集群和自动化维2&period;6　生产环境下的Shell和Python脚本分类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 生产环境下的Shell和Python脚本分类 生产环境下的Shell和Python脚本的作用还是挺多的,这里根据2.1节所介绍的日常工作中Shell脚本的作用,将生产环境下的Shell脚本分为备份类.监控类.统计类.运维开发类和自动化运维类.前面3类从字面意义上看比较容易理解,后面的两类需要稍微解释一下,运维开发类脚本是利用Shell或Python实现一些非系统类的管理工作,比如SVN的发布程序等:而自动化运维类脚本则是利用Shell或Python来自动替我们做一些烦琐的工作,比如自动生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn59NM.html" rel="bookmark">Fabric：通过SSH来自动化管理Linux任务和布署应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当要管理远程机器或者要布署应用时,虽然你有多种命令行工具可以选择,但是其中很多工具都缺少详细的使用文档. 在这篇教程中,我们将会一步一步地向你介绍如何使用 fabric 来帮助你更好得管理多台服务器. Fabric 是一个用 Python 编写的命令行工具库,它可以帮助系统管理员高效地执行某些任务,比如通过 SSH 到多台机器上执行某些命令,远程布署应用等. 在使用之前,如果你拥有使用 Python 的经验能帮你更好的使用 Fabric.当然,如果没有那也不影响使用 Fabric. 我们为什么要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrv18OM.html" rel="bookmark">Fabric - 通过 SSH 来自动化管理 Linux 任务和布署应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当要管理远程机器或者要布署应用时,虽然你有多种命令行工具可以选择,但是其中很多工具都缺少详细的使用文档. 在这篇教程中,我们将会一步一步地向你介绍如何使用 fabric 来帮助你更好得管理多台服务器. 使用 Fabric 来自动化地管理 Linux 任务 Fabric 是一个用 Python 编写的命令行工具库,它可以帮助系统管理员高效地执行某些任务,比如通过 SSH 到多台机器上执行某些命令,远程布署应用等. 在使用之前,如果你拥有使用 Python 的经验能帮你更好的使用 Fabric.当然			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91qevM.html" rel="bookmark">为WebSphere Portal开发JACL管理脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WebSphere Portal Server 是 IBM 面向整合和协作的一个重要平台.WebSphere Portal Server 为用户提供了三种管理方式:通过基于 Web 的方式管理 Portlet.XML Configuration Interface 和 Portal Scripting Interface.基于 Web 的管理 Portlet 方式需要用户手动做各种操作,不能自动化管理操作,只适用于简单的管理操作.XML Configuration Interface 需要用户编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6YPBz.html" rel="bookmark">SQL Server 自动化管理分区设计方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.设计说明 设计这个自动化的目的是想要交替.重复地使用固定的几个分区(分区编号01~05)来保存数据,当最后一个分区就是快满的时候,我们会把最旧数据的分区的数据清空出分区,新数据就可以使用老分区空间了. 应用这个自动化管理分区的环境是有些限制的,其一:分区的数据是呈现递增的,比如分区字段是自增Id值,或者是以日期作为分区;其二:可以接受 历史数据被移除分区表带来的问题.其三:一天进库的数量不应大于分区管理表PartitionManage中Part_Value与 Change_Value的差,因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLB9Kb.html" rel="bookmark">利用Python脚本在Nginx和uwsgi上部署MoinMoin的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了利用Python脚本在Nginx和uwsgi上部署MoinMoin的教程,示例基于CentOS操作系统,需要的朋友可以参考下 在 CentOS 下使用 apache+mod_wsgi 部署了 MoinMoin,但是编辑和保存页面很慢,于是准备使用 nginx+uwsgi 重新部署 本文假定已经按照官方指引 Quick MoinMoin on CentOS 完成了 apache 和 mod_wsgi 之外的基础安装 安装 Nginx 默认情况下,CentOS 下没有 ngin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ZnBZb.html" rel="bookmark">学习tomcat之通过shell批量管理多个tomcat</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.业务需求 目前一台服务器上,部署了4个tomcat,也就相当于4个节点.平时在维护业务时,需要我们一个一个tomcat实例进行单独的维护,感觉很不方便,所以就有了这篇文章. 但是为了更方便的管理这4个tomcat,我这边做了两方面的工作,一是把所有的tomcat工作目录都指向另外单独的一个目录下,二是通过shell来启动.关闭和重启tomcat. PS:本次实验的测试OS为centos6.5 64bit,但是shell脚本也可以在ubuntu下使用. 二.修改tomcat工作目录 为了不一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRqZkb.html" rel="bookmark" class="title">看完后你就是电脑维修工程师 第十二载</a>
					<div>
						第九章 端口与外设故障 一.定义举例 这类故障主要涉及串并口.USB端口.键盘.鼠标等设备的故障. 二.可能的故障现象 1.键盘工作不正常.功能键不起作用: 2.鼠标工作不正常: 3.不能打印或在某种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqeg3M.html" rel="bookmark" class="title">php skymvc 一款轻量、简单的php</a>
					<div>
						改框架主要用于实现多个程序员之间的协同开发以及mvc开发模式的实现.skymvc采用mvc开发方式,框架本身易扩展.skymvc作为天网计划的基础框架,秉承易用.易学.共同开发的优良传统,我们致力于打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Qm9z.html" rel="bookmark" class="title">从用户体验的角度重新思考锚文本的意义</a>
					<div>
						大家好,锚文本的含义我想不必啰嗦了,在SEO优化中锚文本是基本要素.但随着百度算法的更新和完善,锚文本的意义是否应该重新思考一下呢?昨天仔细阅读了卢松松:「共同引用」会取代「锚文本」这篇文章,卢松松我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjWB5M.html" rel="bookmark" class="title">SEO已死&quest; 好的SEO策略与优质内容依然有效</a>
					<div>
						Chris Dixon写了篇文章&lt;SEO已死:创业企业难用SEO获取更多浏览&gt;,称搜索引擎优化已经不再是创业企业的一种可行的营销战略.原文在这里.(作者是美国消费创意网站Hunch联合创始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl7mRb.html" rel="bookmark" class="title">有史以来最牛B的&period;NET程序集加密方法？</a>
					<div>
						程序|加密   今天在一个QQ群里面,一位群友透露了这样一条消息&quot;我看到最强的.Net反反编译软件了&quot;,&quot;Reflector?&quot;,错了,注意有两个&quot;反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKK4ap.html" rel="bookmark" class="title">如何在现有代码中通过async&sol;await实现并行</a>
					<div>
						一项新技术或者一个新特性,只有你用它解决实际问题后,才能真正体会到它的魅力,真正理解它.也期待大家能够多分享解一些解决实际问题的内容. 在我们遭遇&quot;黑色30秒&quot;问题的过程中,切身体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyAaKb.html" rel="bookmark" class="title">光影魔术手柔光镜模拟有什么用</a>
					<div>
						  光影魔术手的柔光镜比较适合人像照片的处理.在普通的模糊柔光的PS方法的基础上进行了改良.针对明暗部进行参数优化,比较智能化.这种滤镜效果比较适合制作雨雾濛濛的风景.光线朦胧的小品.浪漫风格的人像等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKvv8M.html" rel="bookmark" class="title">Photoshop CS6有哪些序列号？</a>
					<div>
						  Photoshop CS6 Adobe Photoshop CS6是集图像扫描.编辑修改.动画制作.图像制作.广告创意,图像输入与输出于一体的图形图像处理软件,深受广大平面设计人员和电脑美术爱好者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9184VM.html" rel="bookmark" class="title">Linux的进程运行在哪个CPU内核上的方法</a>
					<div>
						  当你在 多核 NUMA 处理器上运行需要较高性能的 HPC(高性能计算)程序或非常消耗网络资源的程序时,CPU/memory 的亲和力是限度其发挥最大性能的重要因素之一.在同一 NUMA 节点上调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6G46b.html" rel="bookmark" class="title">浏览器收藏栏不见了怎么办及解决方法</a>
					<div>
						浏览器收藏栏不见了怎么办?我们在使用浏览器过程中看到好的网站或者网页就会收藏起来并在浏览器收藏栏显示,但大家有没有遇到浏览器收藏栏不显示的情况.下文分享浏览器收藏栏不见了解决方法,一起和小编来看看吧! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYY8Lb.html" rel="bookmark" class="title">Excel怎么快捷输入有固定内容的数据</a>
					<div>
						  Excel是有很多固定模式的,其实这样的固定数据可以一次性完成,但是要怎么完成呢,现在小编就教教大家吧.很多情况下我们在Excel单元格中输入的数据是含有固定内容的,比如来自同一区县的身份证号码的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZNYxb.html" rel="bookmark" class="title">Win7网页看视频没声音怎么办</a>
					<div>
						  方法一: 1.当网页看视频时没有声音,可以通过点击浏览器右下角的&quot;声音&quot;开关,通过点击该声音按钮可以开启网页声音播放功能. 2.另外,我们可以点击浏览器&quot;工具&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGx3jb.html" rel="bookmark" class="title">电脑开机使用一段时间后就会变得卡顿怎么解决&quest;</a>
					<div>
						  相信大家都碰到过:电脑在一天之中使用一段时间就会变得卡顿的问题.这是因为开机使用过程中,电脑里面会不断存储许多相关数据和垃圾文件,时间长了之后越来越多,由此影响电脑运行速度.碰到这种情况,我们应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYqqBb.html" rel="bookmark" class="title">固态硬盘开不开AHCI对性能有多大影响？</a>
					<div>
						  在机械硬盘时代,很少有用户关注你的硬盘是工作在什么样的模式下,比如IDE还是AHCI?其实IDE和AHCI是两种不同的接口模式,前者是将SATA盘映射模拟成普通IDE硬盘,不支持任何SATA接口带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP89Y0p.html" rel="bookmark" class="title">Ubunut14&period;04安装wps最新方法</a>
					<div>
						1.问题引出:安装wps for linux         虽然Ubuntu在安装好时已经自带了Office的办公套件,但是依然会发现,打开Windows下已经排好版的文档时,格式已经对不上了.还好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NNqAM.html" rel="bookmark" class="title">Java魔法堂：URI、URL（含URL Protocol Handler）和URN</a>
					<div>
						一.前言   过去一直搞不清什么是URI什么是URL,现在是时候好好弄清楚它们了!本文作为学习笔记,以便日后查询,若有纰漏请大家指正!   二.从URI说起    1. 概念   URI(Unifor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam6DJb.html" rel="bookmark" class="title">【原】常见的模块，你语义化了没</a>
					<div>
						记得在读大学期间,去找实习,面试时被问到&quot;什么是标签的语义化&quot;,一头汗水,也忘记那时是怎么瞎扯了,后来回宿舍,上网查&quot;标签语义化&quot;,当时的网络对标签语义化的解释 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQXnRp.html" rel="bookmark" class="title">Java网络编程（一）</a>
					<div>
						关于JAVA网络编程的技术非常繁多,如:SOCKET.RMI.EJB.WEBSERVICE.MQ.中间数据等等方法,但是万变都是源于基础中通信原理,有些是轻量级的.有重量级的:有实时调用.有异步调用: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwPVjp.html" rel="bookmark" class="title">使用Spring Boot和Gradle创建AngularJS项目</a>
					<div>
						Spring Boot 是由 Pivotal 团队提供的全新框架,其设计目的是用来简化新 Spring 应用的初始搭建以及开发过程.该框架使用了特定的方式来进行配置,从而使开发人员不再需要定义样板化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQJL6z.html" rel="bookmark" class="title">为什么在Spring的配置里，最好不要配置xsd文件的版本号</a>
					<div>
						为什么dubbo启动没有问题? 这篇blog源于一个疑问: 我们公司使了阿里的dubbo,但是阿里的开源网站http://code.alibabatech.com,挂掉有好几个月了,为什么我们的应用启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamGWQb.html" rel="bookmark" class="title">Mybatis 3学习笔记（一）</a>
					<div>
						主要内容: What is MyBatis? Why MyBatis? Installing and configuring MyBatis Sample domain model What is M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z403nYz.html" rel="bookmark" class="title">网站架构设计的误区</a>
					<div>
						在大型网站架构设计的过程中,比较容易出现几个误区 1. 一味的追求大公司的解决方案     一些公司遇到一些网站架构设计的问题的时候往往会参考大公司的成熟的技术架构,这点本身是没错的,但是一味的追求大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydAAEb.html" rel="bookmark" class="title">基于HTTP的直播点播HLS</a>
					<div>
						  HLS(HTTP Live Streaming) 是Apple在2009年发布的,可以通过普通的web服务器进行分发的新型流媒体协议.苹果官方对于视频直播服务提出了 HLS 解决方案,该方案主要适 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRXKAb.html" rel="bookmark" class="title">狼真来了！黑客利用SS7漏洞将网银用户洗劫一空</a>
					<div>
						手机网络用来相互通信的7号信令系统(SS7)协议,多年来安全漏洞频发.这些缺陷若被滥用,后患无穷.比如说,用来将用户的电话和短信重定向到恶徒的设备.如今,利用SS7设计缺陷掏空受害者钱包的首个案例,终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB2Lwz.html" rel="bookmark" class="title">fs&period;inotify&period;max&lowbar;user&lowbar;watches默认值太小，导致too many open files</a>
					<div>
						看到too many open files可能想到fs.file-max参数,其实还受下面参数影响: fs.inotify.max_queued_events:表示调用inotify_init时分配给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyWOmz.html" rel="bookmark" class="title">ORA-12504：TNS：监听程序在CONNECT&lowbar;DATA中未获得SERVICE&lowbar;NAME</a>
					<div>
						客户端配置好服务名后,用PL/SQL Developer连接数据库时,报错:ORA-12504:TNS:监听程序在CONNECT_DATA中未获得SERVICE_NAME.一般这种情况请检查tnsna ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Pq5p.html" rel="bookmark" class="title">elcipse 3&period;5&period;1 安装hibernate tools问题</a>
					<div>
						问题描述 是了好几个版本,放在插件路径下,没反应,在线安装,提示一大堆依赖项找不到,求高人指点. 解决方案 解决方案二:确定你的hibernatetools插件是针对eclipse3.5的吗如果是,还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqEP4b.html" rel="bookmark" class="title">《IT运维之道》&mdash;&mdash;第3章 IT运维做什么  3&period;1 IT运维的四件要事</a>
					<div>
						第3章 IT运维做什么 3.1 IT运维的四件要事 IT服务中最主要也是最基本的服务就是IT运维服务,我们就从这里说起. 当2014年春节微信红包派发之际,移动互联网行业惊呼&quot;微信一个晚上绑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj518M.html" rel="bookmark" class="title">docker 开发常用命令总结</a>
					<div>
						Docker 常用命令总结,镜像下载,到docker容器创建,常用docker命令的 增删查 1.镜像下载,从hub.docker.com中下载最新版本的postgres docker pull po ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJadEp.html" rel="bookmark" class="title">行业分析：服务器虚拟化成本对比</a>
					<div>
						&quot;该如何付款呢?&quot;当你购买每天的必需品时,一周你可能要询问很多次这样的问题. 当涉及到http://www.aliyun.com/zixun/aggregation/13995.h ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
